=== debian/changelog ===
tuareg-mode (1:2.0.1-1) unstable; urgency=low

  * New upstream version. This version fixes a bug with byte-compilation
    under emacs21 and emacs22.

 -- Ralf Treinen <treinen@debian.org>  Thu, 27 May 2010 07:54:23 +0200

tuareg-mode (1:2.0.0-2) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream location, update debian/{watch,control,copyright}
    accordingly

  [ Ralf Treinen ]
  * Do not byte-compile on emacs21, emacs22, and xemacs21. This fixes the
    urgency of bug #582981, though that bug remains open.

 -- Ralf Treinen <treinen@debian.org>  Tue, 25 May 2010 20:06:00 +0200

tuareg-mode (1:2.0.0-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release
    - update debian/copyright and debian/watch
  * Switch packaging to git
  * Switch debian/rules to dh with overrides
  * Switch source package format to 3.0 (quilt)
  * debian/control:
    - add myself to Uploaders, remove Remi and Stefano
    - update Homepage
    - bump Standards-Version to 3.8.4

  [ Ralf Treinen ]
  * changed section to ocaml

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 May 2010 19:54:44 +0200

tuareg-mode (1:1.45.6-2) unstable; urgency=low

  [ Ralf Treinen ]
  * Standards-Version 3.8.0 (no change)
  * Cleanup Uploaders field
  * debian/copyright: point to GPL-2 file.

  [ Mehdi Dogguy ]
  * tuareg-mode now recommands/enhances ocaml-interp instead of ocaml

 -- Ralf Treinen <treinen@debian.org>  Fri, 27 Feb 2009 22:08:12 +0100

tuareg-mode (1:1.45.6-1) unstable; urgency=low

  [ Ralf Treinen ]
  * New upstream release, fixes a bug concerning indentation of
    if-then-else (closes: Bug#450741), and elisp compiler warnings
    (closes: Bug#456006).
  * Standards-Version 3.7.3 (no change).

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

 -- Ralf Treinen <treinen@debian.org>  Sun, 13 Jan 2008 13:23:05 +0100

tuareg-mode (1:1.45.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control: add Homepage field.
  * Proper end-of-string recognition in auto-mode file pattern. Thanks to
    Trent W. Buck for the patch (closes: Bug#446185).

 -- Ralf Treinen <treinen@debian.org>  Sun, 14 Oct 2007 20:06:46 +0200

tuareg-mode (1:1.45.4-3) unstable; urgency=low

  * startup file: extend the load-path by the tuareg-mode directory

 -- Ralf Treinen <treinen@debian.org>  Mon, 21 May 2007 22:07:32 +0200

tuareg-mode (1:1.45.4-2) unstable; urgency=low

  * [Julien Cristau]
   - Remove inactive people from the Uploaders field.
  * [Ralf Treinen]
   - Recommends ocaml-mode, to profit from the added functionality of 
     tuareg-mode-with-caml-mode. Added a note in the package description.
     (closes: Bug#414167).

 -- Ralf Treinen <treinen@debian.org>  Sat, 17 Mar 2007 19:16:39 +0100

tuareg-mode (1:1.45.4-1) unstable; urgency=low

  * Revert to upstream version 1.45 since indentation code in 1.46 is 
    seriously broken (closes: Bug#389823).

 -- Ralf Treinen <treinen@debian.org>  Sun,  1 Oct 2006 19:11:35 +0200

tuareg-mode (1.46.1-1) unstable; urgency=low

  * New upstream release.

 -- Ralf Treinen <treinen@debian.org>  Tue, 29 Aug 2006 09:07:28 +0200
  

tuareg-mode (1.46.0-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version 3.7.2 (no change).
  * Turn Build-depends-indep: debhelper, dpatch into build-depends

 -- Ralf Treinen <treinen@debian.org>  Sun, 14 May 2006 18:49:26 +0200

tuareg-mode (1.45.4-1) unstable; urgency=low

  * New upstream release.

 -- Ralf Treinen <treinen@debian.org>  Mon, 17 Apr 2006 00:04:14 +0200

tuareg-mode (1.45.3-1) unstable; urgency=low

  * New upstream release. This release fixes a bug due to erroneous 
    detection of comments (closes: Bug#341203).

 -- Ralf Treinen <treinen@debian.org>  Fri, 17 Feb 2006 19:45:22 +0100

tuareg-mode (1.45.2-1) unstable; urgency=low

  * New upstream release. This release incorporates our patch
    to work around the missing line-number function
    in emacs (closes: #341203).
  * Install an emacs startup file with priority 51, and replace the installed 
    append-tuareg.el file by an empty file. Adapt README.Debian accordingly,
    make a note in NEWS.
  * Some improvements in long package description.
  * Patch 03_autoload_pattern: Narrow autoload-pattern down to what is really
    needed for OCaml files. 
  * New uploader Sylvain Le Gall.

 -- Ralf Treinen <treinen@debian.org>  Wed, 28 Dec 2005 15:46:08 +0100

tuareg-mode (1.45.0-beta3-1) unstable; urgency=low

  * New upstream release (called 1.45.0-rc3 by upstream).
  * Removed patch 03_keyword-face since fixed by upstream.
  * Standards-version 3.6.2 (no change).

 -- Ralf Treinen <treinen@debian.org>  Sat, 30 Jul 2005 09:38:18 +0200

tuareg-mode (1.45.0-beta2-1) unstable; urgency=low

  * New upstream version (called 1.45.0-rc2 by upstream).
  * Removed patches 03_fontlock and 04_charsetp since now fixed by
    upstream.
  * Patch 03_keyword-face: Fix bug on keyword coloration - thanks to Remi
    Vanicat for the patch (closes: #312212).
  * Added new uploader Samuel Mimram.

 -- Ralf Treinen <treinen@debian.org>  Tue,  7 Jun 2005 21:00:43 +0200

tuareg-mode (1.45.0-beta1-2) unstable; urgency=low

  * Patch 04_charsetp: Fixes compilation error under xemacs21-nomule due
    to unbound symbol charsetp. Thanks to Meik Hellmund for the patch.
    (closes: Bug#311274).

 -- Ralf Treinen <treinen@debian.org>  Wed,  1 Jun 2005 22:05:47 +0200

tuareg-mode (1.45.0-beta1-1) unstable; urgency=low

  * New upstream version (called 1.45.0-rc1 by upstream)
  * Corrected variable settings in patch 03_fontlock - thanks to Remi Vanicat
    (closes: Bug# 311155).
  * Removed patch 04_version since obsolete for this upstream version.

 -- Ralf Treinen <treinen@debian.org>  Sun, 29 May 2005 20:06:34 +0200

tuareg-mode (1.44.3-2) unstable; urgency=low

  * Fixed an embarrassing typo in changelog entry of 1.44.3-1.

 -- Ralf Treinen <treinen@debian.org>  Sat, 19 Feb 2005 16:26:05 +0100


