=== debian/control ===
Source: tuareg-mode
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 Samuel Mimram <smimram@debian.org>,
 Stéphane Glondu <glondu@debian.org>,
 Sylvain Le Gall <gildor@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tuareg-mode.git
Homepage: http://tuareg.forge.ocamlcore.org/

Package: tuareg-mode
Architecture: all
Depends: xemacs21-nomule | emacsen, ${misc:Depends}
Recommends: ocaml-interp, ocaml-mode
Enhances: ocaml-interp
Conflicts: ocaml-tools (<= 1.1-2)
Description: An emacs-mode for ocaml programs
 It handles automatic indentation of Objective Caml and Caml-Light
 code.  Key parts of the code are highlighted using Font-Lock. It
 provides support to run an interactive OCaml toplevel and debugger.
 It works both with FSF Emacs and XEmacs.
 .
 This mode attempts to give better results than the one provided in
 the standard distribution of OCaml and which is available through the
 ocaml-mode package. Indentation rules are slightly different but
 closer to classical functional languages indentation. Tuareg-mode
 gives access to some functionalities from ocaml-mode when that
 package is installed.
