## tuareg-mode 2.0.4

=== debian/changelog ===
tuareg-mode (1:2.0.4-3) unstable; urgency=low

  * Really upload to sid.

 -- Ralf Treinen <treinen@debian.org>  Tue, 08 Feb 2011 22:47:36 +0100

tuareg-mode (1:2.0.4-2) experimental; urgency=low

  * Upload to sid.

 -- Ralf Treinen <treinen@debian.org>  Tue, 08 Feb 2011 21:49:55 +0100

tuareg-mode (1:2.0.4-1) experimental; urgency=low

  * New upstream version.
  * Byte-compile emacs files also on xemacs21, except for camldebug-tuareg.el

 -- Ralf Treinen <treinen@debian.org>  Thu, 18 Nov 2010 22:16:56 +0100

tuareg-mode (1:2.0.2-1) experimental; urgency=low

  * New upstream version.
  * Removed patch 0003-Narrow-autoload-pattern-down-to-what-is-really-neede
    since integrated by upstream.
  * Standards-version 3.9.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 22 Sep 2010 09:03:23 +0200
