=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Stéphane Glondu <glondu@debian.org>,
  Sylvain Le Gall <gildor@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tuareg-mode.git
 Homepage: http://tuareg.forge.ocamlcore.org/
