=== debian/rules ===
--- 
+++ 
@@ -32,3 +32,4 @@
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
+
