=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=43 .*/tuareg-(.*)\.tgz
