=== debian/changelog ===
tuareg-mode (1:2.0.6-3) unstable; urgency=low

  * Updated the emacsen-install file from the current template shipped
    with dh-make to fix an upgrade failure from squeeze (closes: #681823).
    Thanks to Hilko Bengen for the patch!

 -- Ralf Treinen <treinen@debian.org>  Sat, 28 Jul 2012 14:16:52 +0200

tuareg-mode (1:2.0.6-2) unstable; urgency=low

  * debian/emacsen-install: fix tuareg-use-smie (f -> nil). Thanks to
    Kevin Ryde (closes: #676860).
  * debian control: first choice of emacsen is emacs23, not xemacs21
  * new patch emacs21: add an (required 'derived) in case it is not loaded,
    needed by emacs21. Thanks to Kevin Ryde for the patch (closes: #676858).

 -- Ralf Treinen <treinen@debian.org>  Tue, 19 Jun 2012 09:46:23 +0200

tuareg-mode (1:2.0.6-1) unstable; urgency=low

  * New upstream version. 
  * debian/watch: also accept .tar.gz files
  * upstream does noy longer distribute append-tuareg.el. Put our own version.
    Drop patches to append-tuareg.el that are hence no longer necessary:
     0001-camldebug-of-tuareg-mode-is-renamed-to-camldebug-tua.patch
     0003-narrow-down-auto-alist
  * Drop patch 0002-Use-locally-installed-documentation which is no longer
    relevant as we do not have any local documentation
  * Add patch ocaml-path to fix the ocaml library path according to the 
    debian ocaml policy.
  * debian/rules: no more files custom-tuareg.el or sym-lock.el to install
  * installation: do not compile for xemacs.
  * debian/emacsen-install: create in ELC directory symbolic links for the
    corresponding .el files (closes: #671573)
  * debian/copyright: remove mention of ocamlspot.el which is no longer part
    of the upstream distribution.

 -- Ralf Treinen <treinen@debian.org>  Wed, 06 Jun 2012 22:00:20 +0200

tuareg-mode (1:2.0.4-4) unstable; urgency=low

  * Bring files tuareg.el and append-tuareg.el to upstream version 2.0.4.
    These two files were left in version 2.0.1 due to an accident.
  * Patch 0003-narrow-down-auto-alist: regexp must apply only at the end
    of a filename. Thanks to Kevin Ryde for the patch (closes: #671558).
  * debian/control: drop starting article in short description
  * standards-version 3.9.3
    - debian/copyright: migrate to machine-readable format 1.0
  * debian/emacsen-setloadpath: use debian-pkg-add-load-path-item, instead
    of explicit setting of the load-path variable, to extend the load path
    (closes: #671557).

 -- Ralf Treinen <treinen@debian.org>  Sun, 06 May 2012 14:45:23 +0200
