=== debian/control ===
--- 
+++ 
@@ -8,18 +8,18 @@
  Stéphane Glondu <glondu@debian.org>,
  Sylvain Le Gall <gildor@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tuareg-mode.git
 Homepage: http://tuareg.forge.ocamlcore.org/
 
 Package: tuareg-mode
 Architecture: all
-Depends: xemacs21-nomule | emacsen, ${misc:Depends}
+Depends: emacs23 | emacsen, ${misc:Depends}
 Recommends: ocaml-interp, ocaml-mode
 Enhances: ocaml-interp
 Conflicts: ocaml-tools (<= 1.1-2)
-Description: An emacs-mode for ocaml programs
+Description: emacs-mode for ocaml programs
  It handles automatic indentation of Objective Caml and Caml-Light
  code.  Key parts of the code are highlighted using Font-Lock. It
  provides support to run an interactive OCaml toplevel and debugger.
