=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for tuareg-mode

#export DH_VERBOSE=1

export TUAREGELDIR=debian/tuareg-mode/usr/share/emacs/site-lisp/tuareg-mode
export TUAREGXELDIR=debian/tuareg-mode/usr/share/xemacs/site-lisp/tuareg-mode

%:
	dh $@

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(TUAREGELDIR)
	cp tuareg.el $(TUAREGELDIR)
	cp ocamldebug.el $(TUAREGELDIR)/ocamldebug-tuareg.el

.PHONY: override_dh_installemacsen
override_dh_installemacsen:
	dh_installemacsen --priority=51

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs README

.PHONY: override_dh_auto_build
override_dh_auto_build:

.PHONY: override_dh_auto_test
override_dh_auto_test:
