=== debian/changelog ===
tuareg-mode (1:2.0.7-1) unstable; urgency=low

  [ Sylvain Le Gall]
  * Remove Sylvain Le Gall from uploaders

  [ Ralf Treinen ]
  * New upstream release. This release fixes
    - some bugs with syntax highliting and indentation (closes: #207471)
    - incorrect indentation of nested if statements (closes: #617407)
  * change dependency on emacs23 to emacs (closes: #754032)
  * Standards-Version 3.9.5 (no change)
  * Drop conflict with ocaml-tools (<=1.1-2) which is no longer distributed
    since october 2001.
  * Drop patch emacs21 which is no longer relevant - we don't care for
    compatibility with emacs version 21 any more.
  * Added debian/emacsen-compat, added dependency on emacsen-common >= 2.0.8

 -- Ralf Treinen <treinen@debian.org>  Thu, 10 Jul 2014 10:31:58 +0200
