=== debian/control ===
--- 
+++ 
@@ -5,20 +5,18 @@
 Uploaders:
  Ralf Treinen <treinen@debian.org>,
  Samuel Mimram <smimram@debian.org>,
- Stéphane Glondu <glondu@debian.org>,
- Sylvain Le Gall <gildor@debian.org>
+ Stéphane Glondu <glondu@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tuareg-mode.git
 Homepage: http://tuareg.forge.ocamlcore.org/
 
 Package: tuareg-mode
 Architecture: all
-Depends: emacs23 | emacsen, ${misc:Depends}
+Depends: emacs | emacsen, ${misc:Depends}, emacsen-common (>= 2.0.8)
 Recommends: ocaml-interp, ocaml-mode
 Enhances: ocaml-interp
-Conflicts: ocaml-tools (<= 1.1-2)
 Description: emacs-mode for ocaml programs
  It handles automatic indentation of Objective Caml and Caml-Light
  code.  Key parts of the code are highlighted using Font-Lock. It
