## tuareg-mode 2.0.9

=== Makefile ===
--- 
+++ 
@@ -1,22 +1,28 @@
 VERSION = $(shell grep ';; Version:' tuareg.el \
-	| sed 's/;; Version: *\([0-9.]\+\).*/\1/')
+	| sed 's/;; Version: *\([0-9.]*\).*/\1/')
 DESCRIPTION = $(shell grep ';;; tuareg.el ---' tuareg.el \
 	| sed 's/[^-]*--- *\([^.]*\).*/\1/')
 REQUIREMENTS = $(shell grep ';; Package-Requires:' tuareg.el \
-	| sed 's/;; Package-Requires: *\(.\+\).*/\1/')
+	| sed 's/;; Package-Requires: *\(.*\)/\1/')
 DIST_NAME = tuareg-$(VERSION)
 TARBALL = $(DIST_NAME).tar.gz
 OPAM_DIR = tuareg.$(VERSION)
 
-ELS = tuareg.el ocamldebug.el tuareg-site-file.el
+SOURCES = tuareg.el tuareg_indent.el ocamldebug.el
+ELS = $(SOURCES) tuareg-site-file.el
 ELC = $(ELS:.el=.elc)
 
-# Installation directory:
-INSTALL_DIR ?= $(shell opam config var prefix)/share/tuareg
+INSTALL_FILES = $(ELS) $(ELC)
+INSTALL_DIR ?= $(shell opam config var share)/emacs/site-lisp
 
-DIST_FILES += $(ELS) Makefile README
+DIST_FILES += $(ELS) Makefile README.md
 
+EMACSFORMACOSX = /Applications/Emacs.app/Contents/MacOS/Emacs
+ifeq ($(wildcard $(EMACSFORMACOSX)),$(EMACSFORMACOSX))
+EMACS ?= $(EMACSFORMACOSX)
+else
 EMACS ?= emacs
+endif
 
 #ENABLE_SMIE = --eval '(setq tuareg-use-smie t)'
 RM ?= rm -f
@@ -33,16 +39,16 @@
 elc : $(ELC)
 
 %.elc : %.el
-	$(EMACS) --batch --no-init-file -f batch-byte-compile $<
+	$(EMACS) --batch -L . --no-init-file -f batch-byte-compile $<
 
-install : $(ELC)
-	-$(INSTALL_RM_R) $(INSTALL_DIR)
+install : $(INSTALL_FILES)
 	$(INSTALL_MKDIR) $(INSTALL_DIR)
-	$(INSTALL_CP) $(ELS) $(ELC) $(INSTALL_DIR)/
+	$(INSTALL_CP) $(INSTALL_FILES) $(INSTALL_DIR)/
 	$(POST_INSTALL_HOOK)
 
 uninstall :
-	-test -d $(INSTALL_DIR) && $(INSTALL_RM_R) $(INSTALL_DIR)
+	-test -d $(INSTALL_DIR) && \
+	  $(INSTALL_RM_R) $(addprefix $(INSTALL_DIR)/, $(INSTALL_FILES))
 
 .PHONY: refresh
 refresh:
@@ -61,7 +67,7 @@
 	  --eval '(write-region (point-min) (point-max) "$@")'
 	$(DIFF) $< $@ || true
 
-tuareg-site-file.el: refresh
+tuareg-site-file.el: $(SOURCES)
 	(echo ";;; $@ --- Automatically extracted autoloads.";\
 	 echo ";;; Code:";\
 	 echo "(add-to-list 'load-path";\
