=== debian/changelog ===
tuareg-mode (1:2.0.9-2) unstable; urgency=low

  * debian/control: fix url in Vcs fields.

 -- Ralf Treinen <treinen@debian.org>  Tue, 05 May 2015 18:20:03 +0200

tuareg-mode (1:2.0.9-1) experimental; urgency=medium

  * New upstream release. This release fixes a bad interaction with
    show-paren-mode (closes: #780805)
  * debian/rules:
    - drop override of dh_installchangelogs
    - install *.el files newly added by upstream
    - drop spurious .PHONY declarations for dh override targets
    - drop variable export TUAREGXELDIR 
  * debian/tuareg-mode.docs: README is now README.md
  * debian/watch: switch to new upstream site at github.
  * Standards-version 3.9.6 (no change)
  * add DEP8-style package test

 -- Ralf Treinen <treinen@debian.org>  Sun, 22 Mar 2015 15:46:28 +0100
