=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/tuareg-mode.git
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
+Vcs-Browser: http://anonscm.debian.org/?p=pkg-ocaml-maint/packages/tuareg-mode.git
 Homepage: http://tuareg.forge.ocamlcore.org/
+XS-Testsuite: autopkgtest
 
 Package: tuareg-mode
 Architecture: all
