=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for tuareg-mode

#export DH_VERBOSE=1

export TUAREGELDIR=debian/tuareg-mode/usr/share/emacs/site-lisp/tuareg-mode

%:
	dh $@

override_dh_auto_install:
	mkdir -p $(TUAREGELDIR)
	cp tuareg.el tuareg_indent.el tuareg-light.el $(TUAREGELDIR)
	cp ocamldebug.el $(TUAREGELDIR)/ocamldebug-tuareg.el

override_dh_installemacsen:
	dh_installemacsen --priority=51

override_dh_auto_build:

override_dh_auto_test:
