=== debian/tests/control ===
Tests: upstream
Depends: @
Restrictions: allow-stderr
