## tuareg-mode 2.0.10

=== Makefile ===
--- 
+++ 
@@ -15,13 +15,18 @@
 INSTALL_FILES = $(ELS) $(ELC)
 INSTALL_DIR ?= $(shell opam config var share)/emacs/site-lisp
 
-DIST_FILES += $(ELS) Makefile README.md
+DIST_FILES += $(ELS) Makefile README.md tuareg.install
 
 EMACSFORMACOSX = /Applications/Emacs.app/Contents/MacOS/Emacs
+AQUAMACS = /Applications/Aquamacs.app
 ifeq ($(wildcard $(EMACSFORMACOSX)),$(EMACSFORMACOSX))
 EMACS ?= $(EMACSFORMACOSX)
 else
+ifeq ($(wildcard $(AQUAMACS)),$(AQUAMACS))
+EMACS ?= $(AQUAMACS)
+else
 EMACS ?= emacs
+endif
 endif
 
 #ENABLE_SMIE = --eval '(setq tuareg-use-smie t)'
@@ -34,12 +39,13 @@
 INSTALL_MKDIR = mkdir -p
 INSTALL_CP = $(CP)
 
-all : elc tuareg-site-file.el
+all : tuareg-site-file.el
 
 elc : $(ELC)
 
 %.elc : %.el
 	$(EMACS) --batch -L . --no-init-file -f batch-byte-compile $<
+	@echo "Files byte-compiled using $(EMACS)"
 
 install : $(INSTALL_FILES)
 	$(INSTALL_MKDIR) $(INSTALL_DIR)
@@ -59,13 +65,15 @@
 	@echo ====Indent $*====
 	-$(RM) $@
 	$(EMACS) --batch -q --no-site-file $(ENABLE_SMIE) \
-	  --load tuareg.elc $< \
+	  --load tuareg-site-file.el $< \
 	  --eval '(setq indent-tabs-mode nil)' \
 	  --eval '(defun ask-user-about-lock (file opponent) nil)' \
 	  --eval '(indent-region (point-min) (point-max) nil)' \
 	  --eval '(indent-region (point-min) (point-max) nil)' \
 	  --eval '(write-region (point-min) (point-max) "$@")'
 	$(DIFF) $< $@ || true
+
+indent-test: indent-test.ml.test
 
 tuareg-site-file.el: $(SOURCES)
 	(echo ";;; $@ --- Automatically extracted autoloads.";\
@@ -77,6 +85,10 @@
 	$(EMACS) --batch --eval '(setq generated-autoload-file "'`pwd`'/$@")' -f batch-update-autoloads "."
 
 dist distrib: $(TARBALL)
+	@echo "archive: \"$<\"" > opam/url
+	@CHECKSUM="`md5sum -b $< | cut -d ' ' -f 1`" && \
+	echo "checksum: \"$$CHECKSUM\"" >> opam/url
+	@echo "Updated opam/url"
 
 $(TARBALL): $(DIST_FILES)
 	mkdir -p $(DIST_NAME)
