=== debian/changelog ===
tuareg-mode (1:2.0.10-1) unstable; urgency=medium

  * new upstream release.
  * emacsen-startup: autoload tuareg-run-ocaml. Thanks to Sameer Bagwhat
    for the patch (closes: #522058)
  * patch opam: set tuareg-interactive-program to opam only when opam is
    installed, and the user has an .opam directory (closes: #788456)
  * emacsen-startup: activate SMIE, since issues seem to be fixed.
  * d/rules: install all tuareg*.el files
  * standards-version 3.9.8 (no  change)
  * d/control: dropped depricated XS-Testsuite
  * d/control: updated Vcs-Git and Vcs-Browser
  * d/control: capitalisation in short description
  * d/control: updated Homepage 

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 Jul 2016 21:15:00 +0200
