=== debian/control ===
--- 
+++ 
@@ -7,18 +7,17 @@
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-ocaml-maint/packages/tuareg-mode.git
-Homepage: http://tuareg.forge.ocamlcore.org/
-XS-Testsuite: autopkgtest
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/tuareg-mode.git
+Homepage: https://github.com/ocaml/tuareg
 
 Package: tuareg-mode
 Architecture: all
 Depends: emacs | emacsen, ${misc:Depends}, emacsen-common (>= 2.0.8)
 Recommends: ocaml-interp, ocaml-mode
 Enhances: ocaml-interp
-Description: emacs-mode for ocaml programs
+Description: emacs-mode for OCaml programs
  It handles automatic indentation of Objective Caml and Caml-Light
  code.  Key parts of the code are highlighted using Font-Lock. It
  provides support to run an interactive OCaml toplevel and debugger.
