## tuareg-mode 2.1.0

=== Makefile ===
--- 
+++ 
@@ -6,9 +6,10 @@
 	| sed 's/;; Package-Requires: *\(.*\)/\1/')
 DIST_NAME = tuareg-$(VERSION)
 TARBALL = $(DIST_NAME).tar.gz
-OPAM_DIR = tuareg.$(VERSION)
+OPAM_DIR = packages/tuareg/tuareg.$(VERSION)
 
-SOURCES = tuareg.el tuareg_indent.el ocamldebug.el
+SOURCES = tuareg.el ocamldebug.el tuareg-opam.el \
+  tuareg-jbuild.el
 ELS = $(SOURCES) tuareg-site-file.el
 ELC = $(ELS:.el=.elc)
 
@@ -18,16 +19,18 @@
 DIST_FILES += $(ELS) Makefile README.md tuareg.install
 
 EMACSFORMACOSX = /Applications/Emacs.app/Contents/MacOS/Emacs
-AQUAMACS = /Applications/Aquamacs.app
+AQUAMACS = $(shell test -d /Applications \
+	&& find /Applications -type f | grep 'Aquamacs$$')
 ifeq ($(wildcard $(EMACSFORMACOSX)),$(EMACSFORMACOSX))
 EMACS ?= $(EMACSFORMACOSX)
 else
+ifneq ($(strip $(AQUAMACS)),)
 ifeq ($(wildcard $(AQUAMACS)),$(AQUAMACS))
 EMACS ?= $(AQUAMACS)
-else
-EMACS ?= emacs
 endif
 endif
+endif
+EMACS ?= emacs
 
 #ENABLE_SMIE = --eval '(setq tuareg-use-smie t)'
 RM ?= rm -f
@@ -85,10 +88,6 @@
 	$(EMACS) --batch --eval '(setq generated-autoload-file "'`pwd`'/$@")' -f batch-update-autoloads "."
 
 dist distrib: $(TARBALL)
-	@echo "archive: \"$<\"" > opam/url
-	@CHECKSUM="`md5sum -b $< | cut -d ' ' -f 1`" && \
-	echo "checksum: \"$$CHECKSUM\"" >> opam/url
-	@echo "Updated opam/url"
 
 $(TARBALL): $(DIST_FILES)
 	mkdir -p $(DIST_NAME)
@@ -100,7 +99,7 @@
 opam: $(TARBALL)
 	$(INSTALL_MKDIR) $(OPAM_DIR)
 	$(CP) -a $(filter-out %~, $(wildcard opam/*)) $(OPAM_DIR)
-	echo "archive: \"`pwd`/$(TARBALL)\"" > $(OPAM_DIR)/url
+	echo "archive: \"https://github.com/ocaml/tuareg/releases/download/$(VERSION)/$(TARBALL)\"" > $(OPAM_DIR)/url
 	echo "checksum: \"`md5sum $(TARBALL) | cut -d ' ' -f 1`\"" \
 	  >> $(OPAM_DIR)/url
