=== debian/changelog ===
tuareg-mode (1:2.1.0-2) unstable; urgency=medium

  * Update Vcs-* to salsa
  * Standards-Version 4.2.0 (no change)
  * d/copyright: https in url of format specification
  * debhelper compatibility level 11 (no change)
  * as-installed test (closes: #906226)
    - depend on emacs
    - test with tuareg.el instead of tuareg.elc (to be undone when the
      package is converted to dh-elpa)

 -- Ralf Treinen <treinen@debian.org>  Wed, 15 Aug 2018 18:22:37 +0200

tuareg-mode (1:2.1.0-1) unstable; urgency=medium

  * New upstream version
    - refresh patch ocaml-path
    - drop patch opam, issue is resolved by upstream 
  * debian/gbp.conf: drop field cleaner
  * debhelper compat level 10
  * Standards-Version 4.1.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 22 Nov 2017 21:24:45 +0100
