=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  Ralf Treinen <treinen@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/tuareg-mode.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/tuareg-mode.git
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/ocaml-team/tuareg-mode
+Vcs-Git: https://salsa.debian.org/ocaml-team/tuareg-mode.git
 Homepage: https://github.com/ocaml/tuareg
 
 Package: tuareg-mode
