=== debian/tests/control ===
Tests: upstream
Depends: @, emacs
Restrictions: allow-stderr
