=== debian/changelog ===
tuareg-mode (1:2.2.0-1) unstable; urgency=medium

  * New upstream version.
  * Standards-version 4.5.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Mon, 27 Apr 2020 15:16:07 +0200

tuareg-mode (1:2.1.0-4) unstable; urgency=medium

  * Source-only upload to unstable

 -- Ralf Treinen <treinen@debian.org>  Fri, 06 Dec 2019 21:27:01 +0100

tuareg-mode (1:2.1.0-3) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Convert to dh-elpa (Closes: #905940):
    - Binary package must be named elpa-tuareg for compatibility
      with MELPA.
    - Drop legacy debian/*emacsen* scripts.
    - Install LISP files using debian/elpa-tuareg.elpa
  * d/control:
    - Add dh-elpa build-dep.
    - Enable autopkgtest-pkg-elpa.
    - Elpa-tuareg contains the elpafied package and tuareg-mode
      is now a dummy package.
    - Add Breaks and Replaces against old tuareg-mode.
    - Rely on dh-elpa for elpa-tuareg's Depends.
    - Drop XEmacs from long description because dh-elpa does not support it.
      (Closes: #850071, #582981)
    - Add Enhances emacs, which is conventional for elpa packages.
  * Rename debian/tuareg-mode.docs -> debian/elpa-tuareg.docs
  * Rewrite d/rules to use dh-elpa, and ignore upstream Makefile.
  * d/changelog: add myself, because this number of changes requires it.

  [ Ralf Treinen ]
  * Changed Recommendation of ocaml-mode to elpa-caml as the former is
    now a transitional package.
  * Build-depend on debhelper-compat, drop file debian/compat
  * Debhelper compatibility level 12 (no change) 
  * Standards-Version 4.4.1 (no change)
  * Drop debian/clean which is no longer needed.
  * Package description: caml-mode is no longer part of ocaml upstream,
    and that package is now called elpa-caml.

 -- Ralf Treinen <treinen@debian.org>  Sun, 10 Nov 2019 19:53:23 +0100
